Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Mouse

Mouse interface in ClanLib.
Contained in: global
Derived from: CL_InputDevice
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_Mouse` | `()`;

### Attributes:

``static` `int`` | `get_x` | `()`;
``static` `int`` | `get_y` | `()`;
``static` `void`` | `set_position` | `(`float` `x`, `float` `y`)`;
``static` `bool`` | `left_pressed` | `()`;
``static` `bool`` | `middle_pressed` | `()`;
``static` `bool`` | `right_pressed` | `()`;

### Signals:

``static` `CL_Signal_v2`<`int`, `int`>&` | `sig_move` | `()`;
``static` `CL_Signal_v1`<`const` `CL_Key`& >&` | `sig_button_press` | `()`;
``static` `CL_Signal_v1`<`const` `CL_Key`& >&` | `sig_button_release` | `()`;

## Description:

CL_Mouse extends the CL_InputDevice with functionality only useful to mice.

## Function Member Descriptions:

CL_Mouse::sig_button_press - Signal signaled upon button press.
The CL_Key contains coordinates as well as button code.
``static` `CL_Signal_v1`<`const` `CL_Key`& >&` `sig_button_press` `()`;

CL_Mouse::sig_button_release - Signal signaled upon button release.
The CL_Key contains coordinates as well as button code.
``static` `CL_Signal_v1`<`const` `CL_Key`& >&` `sig_button_release` `()`;

CL_Mouse::sig_move - Signal signaled upon mouse move.
``static` `CL_Signal_v2`<`int`, `int`>&` `sig_move` `()`;

CL_Mouse::~CL_Mouse - Mouse Destructor
``virtual`` `~CL_Mouse` `()`;

## Variable Member Descriptions: